<?php

define('__IMAGE_UPLOAD_REAL_PATH__', ROOT.'/public/media/images/');
define('__IMAGE_PATH__', __PUBLIC_PATH__.'/media/images/');

define('__FILE_UPLOAD_REAL_PATH__', ROOT.'/public/media/files/');
define ( 'PLUGINS_FOLDER',APP.'/plugins' );
define ('__DATABASE_CONFIG_PATH__',APP.'/configs/database');

//define('__ERROR_REPORTING__',E_ALL);
define('__ERROR_REPORTING__',0);

define('__CHARSET__','utf-8');

define('MOD_REWRITE', 0);

define('__SELF__',substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['PHP_SELF'], '/')));

global $layout;
$layout = 'default';

global $default_page;
$default_page = 'admin/login.php';

global $imageExtensions;
$imageExtensions = array(".png", ".jpg", ".gif");

global $fileExtensions;
$fileExtensions = array(".png", ".jpg", ".gif",".doc",".docx",".xls",".xlsx",".zip",".rar",".7z");

define('__DATE_FORMAT__', 'DD-MM-YYYY'); // MM/DD/YYYY | DD/MM/YYYY | MM-DD-YYYY | DD-MM-YYYY

global $date_format_convert;
$date_format_convert = array();

$date_format_convert['MM/DD/YYYY'] = 'm/d/Y';
$date_format_convert['DD/MM/YYYY'] = 'd/m/Y';
$date_format_convert['MM-DD-YYYY'] = 'm-d-Y';
$date_format_convert['DD-MM-YYYY'] = 'd-m-Y';

global $sysUser;
$sysUser['name'] = "systemAdmin";
$sysUser['password'] = "123456";
$sysUser['enable'] = false;


global $tableAlias;
$tableAlias = array();
$tableAlias['articles'] = 'Articles';
$tableAlias['categories'] = 'Categories';

define('__LOGIN_HTTPS__',true); // make the login page https, instead of http

/****** TINYMCE CONFIGURE *********/
define('__TINYMCE_MENUBAR__', 'tools table format view insert edit'); // string ('tools table format view insert edit' | 'false')

$tinymce_plugins = '[
        "advlist autolink lists link image charmap print preview anchor",
        "searchreplace visualblocks code fullscreen",
        "insertdatetime media table contextmenu paste moxiemanager"
    ]';
define('__TINYMCE_PLUGINS__', $tinymce_plugins	);

$tinymce_toolbar = 
'toolbar1: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent",
 toolbar2: "print preview media | forecolor backcolor emoticons | link image"
';
define('__TINYMCE_TOOLBAR__', $tinymce_toolbar);
/****** END TINYMCE CONFIGURE *********/

